# `BB.Error.State.Preempted`
[🔗](https://github.com/beam-bots/bb/blob/main/lib/bb/error/state/preempted.ex#L5)

Operation was preempted by another operation.

Raised when an in-progress operation is cancelled because a
higher-priority operation has taken over.

# `exception`

```elixir
@spec exception(opts :: Keyword.t()) :: %BB.Error.State.Preempted{
  __exception__: true,
  bread_crumbs: term(),
  class: term(),
  path: term(),
  preempted_operation: term(),
  preempting_operation: term(),
  splode: term(),
  stacktrace: term(),
  vars: term()
}
```

Create an `Elixir.BB.Error.State.Preempted` without raising it.

## Keys

- :preempted_operation
- :preempting_operation

---

*Consult [api-reference.md](api-reference.md) for complete listing*
